=== debian/changelog ===
ros-kinetic-py-trees (0.5.12-0xenial) xenial; urgency=high

  [decorators] default option for collapsing decorators (resolves py_trees_ros bug)

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 13 Feb 2019 05:00:00 -0000

ros-kinetic-py-trees (0.5.11-0xenial) xenial; urgency=high

  [decorators] new-style decorators can be found in py_trees.decorators
  [decorators] new-style decorators now stop their running child on completion (SUCCESS||FAILURE)
  [decorators] onshot now activates upon *successful completion* (SUCCESS only), previously on *any completion* (SUCCESS||FAILURE)
  [meta] behaviours from functions can now automagically generate names

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 13 Feb 2019 05:00:00 -0000

ros-kinetic-py-trees (0.5.10-0xenial) xenial; urgency=high

  * [meta] add children monkeypatching for composite imposters
  * [blackboard] check for nested variables in WaitForBlackboard

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 17 Jun 2017 04:00:00 -0000

ros-kinetic-py-trees (0.5.9-0xenial) xenial; urgency=high

  * [docs] bugfix image links and rewrite the motivation

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 25 Mar 2017 04:00:00 -0000

ros-kinetic-py-trees (0.5.8-0xenial) xenial; urgency=high

  * [infra] setup.py tests_require, not test_require

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 19 Mar 2017 04:00:00 -0000

ros-kinetic-py-trees (0.5.7-0xenial) xenial; urgency=high

  * [infra] update maintainer email

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-kinetic-py-trees (0.5.5-0xenial) xenial; urgency=high

  * [docs] many minor doc updates
  * [meta] bugfix so that imposter now ticks over composite children
  * [trees] method for getting the tip of the tree
  * [programs] py-trees-render program added

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-kinetic-py-trees (0.5.4-0xenial) xenial; urgency=high

  * [infra] handle pypi/catkin conflicts with install_requires

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 22 Feb 2017 05:00:00 -0000

ros-kinetic-py-trees (0.5.2-0xenial) xenial; urgency=high

  * [docs] disable colour when building
  * [docs] sidebar headings
  * [docs] dont require project installation

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 22 Feb 2017 05:00:00 -0000

ros-kinetic-py-trees (0.5.1-0xenial) xenial; urgency=high

  * [infra] pypi package enabled

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 21 Feb 2017 05:00:00 -0000

ros-kinetic-py-trees (0.5.0-0xenial) xenial; urgency=high

  * [ros] components moved to py_trees_ros
  * [timeout] bugfix to ensure timeout decorator initialises properly
  * [docs] rolled over with napolean style
  * [docs] sphinx documentation updated
  * [imposter] make sure tip() drills down into composites
  * [demos] re-organised into modules

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 21 Feb 2017 05:00:00 -0000

ros-kinetic-py-trees (0.4.0-0xenial) xenial; urgency=high

  * [trees] add pre/post handlers after setup, just in case setup fails
  * [introspection] do parent lookups so you can crawl back up a tree
  * [blackboard] permit init of subscriber2blackboard behaviours
  * [blackboard] watchers
  * [timers] better feedback messages
  * [imposter] ensure stop() directly calls the composited behaviour

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 13 Jan 2017 05:00:00 -0000

ros-kinetic-py-trees (0.3.0-0xenial) xenial; urgency=high

  * ``failure_is_running decorator`` (meta).

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 25 Aug 2016 04:00:00 -0000

ros-kinetic-py-trees (0.2.0-0xenial) xenial; urgency=high

  * do terminate properly amongst relevant classes
  * blackboxes
  * chooser variant of selectors
  * bugfix the decorators
  * blackboard updates on change only
  * improved dot graph creation
  * many bugfixes to composites
  * subscriber behaviours
  * timer behaviours

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-kinetic-py-trees (0.1.2-0xenial) xenial; urgency=high

  * one shot sequences
  * abort() renamed more appropriately to stop()

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 16 Nov 2015 05:00:00 -0000

ros-kinetic-py-trees (0.1.1-0xenial) xenial; urgency=high

  * lots of bugfixing stabilising py_trees for the spain field test
  * complement decorator for behaviours
  * dot tree views
  * ascii tree and tick views
  * use generators and visitors to more efficiently walk/introspect trees
  * a first implementation of behaviour trees in python

 -- Daniel Stonier <stonier@yujinrobot.com>  Sat, 10 Oct 2015 04:00:00 -0000
